Package picard.illumina

## Class CollectIlluminaBasecallingMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.illumina.CollectIlluminaBasecallingMetrics

-     @DocumentedFeature
      public class CollectIlluminaBasecallingMetrics
      extends CommandLineProgram

  A Command line tool to collect Illumina Basecalling metrics for a sequencing run Requires a Lane and an input file of Barcodes to expect. Outputs metrics:
  - Mean Clusters Per Tile
  - Standard Deviation of Clusters Per Tile
  - Mean Pf Clusters Per Tile
  - Standard Deviation of Pf Clusters Per Tile
  - Mean Percentage of Pf Clusters Per Tile
  - Standard Deviation of Percentage of Pf Clusters Per Tile

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `BARCODES_DIR` |
    `File` | `BASECALLS_DIR` |
    `File` | `INPUT` |
    `Integer` | `LANE` |
    `File` | `OUTPUT` |
    `String` | `READ_STRUCTURE` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectIlluminaBasecallingMetrics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASECALLS_DIR

          @Argument(doc="The Illumina basecalls output directory from which data are read",
                    shortName="B")
          public File BASECALLS_DIR

    - #### BARCODES_DIR

          @Argument(doc="The barcodes directory with _barcode.txt files (generated by ExtractIlluminaBarcodes). If not set, use BASECALLS_DIR. ",
                    shortName="BCD",
                    optional=true)
          public File BARCODES_DIR

    - #### LANE

          @Argument(doc="The lane whose data will be read",
                    shortName="L")
          public Integer LANE

    - #### INPUT

          @Argument(doc="The file containing barcodes to expect from the run - barcodeData.#",
                    shortName="I",
                    optional=true)
          public File INPUT

    - #### READ_STRUCTURE

          @Argument(doc="A description of the logical structure of clusters in an Illumina Run, i.e. a description of the structure IlluminaBasecallsToSam assumes the  data to be in. It should consist of integer/character pairs describing the number of cycles and the type of those cycles (B for Sample Barcode, M for molecular barcode, T for Template, and S for skip).  E.g. If the input data consists of 80 base clusters and we provide a read structure of \"28T8M8B8S28T\" then the sequence may be split up into four reads:\n* read one with 28 cycles (bases) of template\n* read two with 8 cycles (bases) of molecular barcode (ex. unique molecular barcode)\n* read three with 8 cycles (bases) of sample barcode\n* 8 cycles (bases) skipped.\n* read four with 28 cycles (bases) of template\nThe skipped cycles would NOT be included in an output SAM/BAM file or in read groups therein.",
                    shortName="RS")
          public String READ_STRUCTURE

    - #### OUTPUT

          @Argument(doc="The file to which the collected metrics are written",
                    shortName="O",
                    optional=true)
          public File OUTPUT

  - ### Constructor Detail

    - #### CollectIlluminaBasecallingMetrics

          public CollectIlluminaBasecallingMetrics()

  - ### Method Detail

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.